#include<iostream>
#include<bits/stdc++.h>
using namespace std;
int main ()
{
int n,z=0,m=0;
scanf("%i",&n);
int a[n],b[n],poz[n],p;
for (int i=0;i<n;i++){
    scanf("%i",&p);
    a[i]=p;
    b[i]=p;}
sort(b,b+n,greater<int>());
for(int i=0;i<n;i++)
{
    for(int j=0;i<n;i++)
    {
    if(a[j]==b[i])
        poz[m]=i;
        m++;
    }
    if(poz[i]-poz[i+1]<-1)
        swap(a[poz[i]+1],a[poz[i+1]]);
        break;
}
for(int i=0;i<n;i++)
    cout<<a[i];
}